#### Previous topic

scipy.special.kvp

#### Next topic

scipy.special.h1vp

# scipy.special.ivp

`scipy.special.``ivp`(v, z, n=1)

  Compute nth derivative of modified Bessel function Iv(z) with respect to z.

  Parameters:

  v : array_like of float

  > Order of Bessel function

  z : array_like of complex

  > Argument at which to evaluate the derivative

  n : int, default 1

  > Order of derivative

  References

  [R320] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 6. http://jin.ece.illinois.edu/specfunc.html

  Examples

  Calculate multiple values at order 5:

      >>> from scipy.special import kvp
      >>> kvp(5, (1, 2, 3+5j))
      array([-1849.0354+0.j    ,   -25.7735+0.j    ,    -0.0307+0.0875j])

  Calculate for a single value at multiple orders:

      >>> kvp((4, 4.5, 5), 1)
      array([ -184.0309,  -568.9585, -1849.0354])